package com.bonus.sgzb.base.domain;


import com.bonus.sgzb.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.List;

@Data
public class BmUnitInfo {
/**类型ID*/
@ApiModelProperty(value = "类型ID")
  private long unitId;
  /**单位类型名称*/
  @Excel(name = "单位类型名称")
  @ApiModelProperty(value = "类型ID")
  private String unitName;
  /**帐号状态（0正常 1停用）*/
  @Excel(name = "帐号状态",readConverterExp ="0=正常,1=停用")
  @ApiModelProperty(value = "类型ID")
  private String status;
  /**单位类型*/

  @ApiModelProperty(value = "类型ID")
  private long typeId;
  /**联系人*/
  @Excel(name = "联系人")
  @ApiModelProperty(value = "联系人")
  private String linkMan;
  /**联系方式*/
  @Excel(name = "联系电话")
  @ApiModelProperty(value = "联系电话")
  private String telphone;
  /**所属上级*/
  @ApiModelProperty(value = "类型ID")
  private long deptId;
  /**删除标志（0代表存在 2代表删除）*/

  private String delFlag;
  /**创建者*/
  @ApiModelProperty(value = "类型ID")
  private String createBy;
  /**创建时间*/
  @ApiModelProperty(value = "类型ID")
  private Timestamp createTime;
  /**更新者*/
  @ApiModelProperty(value = "类型ID")
  private String updateBy;
  /**更新时间*/
  @ApiModelProperty(value = "类型ID")
  private Timestamp updateTime;
  /**备注*/
  @ApiModelProperty(value = "类型ID")
  private String remark;
  /**数据所属组织*/
  @ApiModelProperty(value = "类型ID")
  private String companyId;
  @ApiModelProperty(value = "类型名称")
  @Excel(name = "单位类型")
  private String typeName;
  @Excel(name = "所属上级")
  @ApiModelProperty(value = "所属上级")
  private String deptName;

  @ApiModelProperty(value = "用户id")
  private String userId;

  @ApiModelProperty(value = "用户名")
  private String userName;

  /** 导出选中列表 */
  private List<Long> dataCondition;

  public List<Long> getDataCondition() {
    return dataCondition;
  }

  public void setDataCondition(List<Long> dataCondition) {
    this.dataCondition = dataCondition;
  }

  public long getUnitId() {
    return unitId;
  }

  public void setUnitId(long unitId) {
    this.unitId = unitId;
  }


  public String getUnitName() {
    return unitName;
  }

  public void setUnitName(String unitName) {
    this.unitName = unitName;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public String getLinkMan() {
    return linkMan;
  }

  public void setLinkMan(String linkMan) {
    this.linkMan = linkMan;
  }


  public String getTelphone() {
    return telphone;
  }

  public void setTelphone(String telphone) {
    this.telphone = telphone;
  }


  public long getDeptId() {
    return deptId;
  }

  public void setDeptId(long deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
